Name:		xtux
Version:	20030306
Release:	%mkrel 22
Summary:	Multiplayer arcade game featuring open-source mascots
Group:		Games/Arcade
License:	GPL+ and LGPLv2+
URL:		http://xtux.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Patch:		xtux-fix-format-strings.patch
BuildRequires:	xpm-devel

%description
2005: Microsoft finally releases Windows2000. The few remaining in line
from midnight December 31, 1999 expecting Microsoft to deliver "on time"
were slightly annoyed, but otherwise the response was extremely
enthusiastic.

You must Battle through hoards of Evil Microsoft lusers, Certified Peons
and Bugs while collecting computer processors. Using these, construct a
massive Beowulf machine capable of cracking the security on Microsofts
secret database. Upload yourself into the internet, liberate friendly
Linux sites, then battle your way into microsoft.com destroying all you
can find. Only then can you turn your wrath towards your nemisis, the
evil lord Gates.


%prep
%setup -q -n %{name}
%patch -p2
perl -pi -e 's|./tux_serv|%{_gamesbindir}/tux_serv|;' src/client/menu.c

%build
make CC="%{__cc} %{optflags}" DATADIR="%{_gamesdatadir}/%{name}" X11LIB="-lX11"

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 %{name} %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_sbindir}
install -m 755 tux_serv %{buildroot}%{_gamesbindir}

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X-Tux
Comment=X-Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

find %{buildroot}%{_gamesdatadir}/%{name}/images -type d -name ".xvpics" | xargs -t rm -r

%files
%doc AUTHORS CHANGELOG COPYING README README.GGZ doc/*
%attr(0755,root,root) %{_gamesbindir}/%{name}
%attr(0755,root,root) %{_gamesbindir}/tux_serv
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 20030306-22.mga6
+ Revision: 932555
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20030306-21.mga5
+ Revision: 745646
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20030306-20.mga5
+ Revision: 690795
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20030306-19.mga4
+ Revision: 522606
- Mageia 4 Mass Rebuild

* Sat Mar 23 2013 wally <wally> 20030306-18.mga3
+ Revision: 404689
- fix desktop file name

* Mon Jan 14 2013 umeabot <umeabot> 20030306-17.mga3
+ Revision: 387482
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 20030306-16.mga3
+ Revision: 324906
- rebuild for Mga3 Beta1

* Tue Feb 14 2012 kamil <kamil> 20030306-15.mga2
+ Revision: 208662
- bump release to build on BS (queue problem)
- adapt .spec for Mageia
- imported package xtux


* Wed Dec 01 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0:20030306-13mdv2011.0
+ Revision: 604489
- Remove useless X11-devel BR
- Remove useless -L gcc argument
- Remove useless white space

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0:20030306-12mdv2010.0
+ Revision: 446273
- rebuild

* Wed Apr 01 2009 Götz Waschk <waschk@mandriva.org> 0:20030306-11mdv2009.1
+ Revision: 363338
- fix menu entry (bug #49378)
- update license
- fix format strings

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0:20030306-10mdv2009.0
+ Revision: 242998
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 David Walluck <walluck@mandriva.org> 0:20030306-8mdv2008.0
+ Revision: 72467
- rebuild
- Import xtux



* Thu Aug 24 2006 David Walluck <walluck@mandrake.org> 0:20030306-7mdv2007.0
- add xdg menu

* Thu Dec 22 2005 Anssi Hannula <anssi@mandriva.org> 0:20030306-6mdk
- fix X11LIB for lib64
- fix menu section

* Thu Jun 02 2005 Sebastien savarin <plouf@mandriva.org> 0:20030306-5mdk
- Rebuild for new gcc

* Sat Dec 04 2004 Franck Villaume <fvill@freesurf.fr> 0:20030306-4mdk
- fix buildrequires

* Sat Oct 23 2004 David Walluck <walluck@mandrake.org> 0:20030306-3mdk
- rebuild

* Thu Apr 17 2003 David Walluck <david@anti-microsoft.org> 0:20030306-2plf
- really update description
- update summary

* Thu Apr 17 2003 David Walluck <david@anti-microsoft.org> 0:20030306-1plf
- 20030306
- add epoch
- add menu icons and update menus
- add description
- fix path to tux_serv when launching through the game's menu

* Sat Feb 08 2003 David Walluck <david@anti-microsoft.org> 20030207-1plf
- 20030207

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 20010601-2plf 
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 20010601-1plf
- release
